Bug 477520 - Review Request: perl-Hardware-Vhdl-Tidy - VHDL code prettifier
Review Request: perl-Hardware-Vhdl-Tidy - VHDL code prettifier
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 477515
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 09:33 EST by Chitlesh GOORAH
Modified: 2009-01-07 23:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 23:16:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-21 09:33:29 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Tidy.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Tidy-0.8-1.fc10.src.rpm
Description:
This module auto-indents VHDL source code.
Comment 1 manuel wolfshant 2008-12-21 10:48:57 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 1e4b347153a66d7b13296872723f2d9338046bc8 Hardware-Vhdl-Tidy-0.8.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English lan
guages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build + devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build + devel/x86_64
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass.
 [x] Final provides and requires are sane.

======
1. It seems that the test phase would be happier if Test::Pod was available:
t/pod.............skipped: Test::Pod 1.14 required for testing POD
The package is available for all versions of Fedora and EPEL, so I see no reason to not BR it.

2. I see that t/tidy gives lots of errors:
t/tidy................# test line 3: expected 4 indent spaces before 'END COmpONenT;', got 10
# test line 4: expected '    \n', got '        comPonEnT tIMer\n'
# test line 5: expected '    comPonEnT tIMer\n', got '              poRT (CLk\t:in stD_LogiC;\n'
#  ... further errors suppressed
# test line 5: expected '#DEFINE uaRtio_sPEC   \\n', got '#DEFINE uaRtio_sPEC   \\n   SIGnAl ReSET : oUT STd_logiC
; \\n    SIgnAl SeluaRT : OuT inTEGER rANGE nUArTs-1 doWnTo 0;  \\n     sIgNAl host_c : Out t_Wb_MASteR_CoNTROl; \
\n    signal hOst_s : iN t_Wb_MAsTER_sTAtUS; \\n   SoUrcelINe : In NAtuRaL; \\n siGNaL LinEnO : OUT natUrAL\n'
# test line 6: expected '  SIGnAl ReSET : oUT STd_logiC; \\n', got '    q <= T + baR * x;\n'
# test line 7: expected '  SIgnAl SeluaRT : OuT inTEGER rANGE nUArTs-1 doWnTo 0;  \\n', got 'eNd\n'
#  ... further errors suppressed
#
# test line 5: expected '##if simulatING==1\n', got '    ##if simulatING==1\n'
# test line 6: expected 4 indent spaces before 't <= AL-foo*5;', got 6
# test line 7: expected '##eLSe\n', got '    ##eLSe\n'
#  ... further errors suppressed
#
# test line 5: expected '-- PRaGMa PREPROC if sImULatiNG==1\n', got '    -- PRaGMa PREPROC if sImULatiNG==1\n'
# test line 7: expected '-- pRAGMA PrepRoC eLse\n', got '    -- pRAGMA PrepRoC eLse\n'
# test line 9: expected '-- PRAGMa PREpROc ENDif\n', got '    -- PRAGMa PREpROc ENDif\n'

The test passes, so I assume this is the very module in action, right ?

3. Require: perl(Hardware::Vhdl::Lexer) is a bit over pedantic, rpmbuild brings it in automatically so there is no need to explicitly require it:
perl(:MODULE_COMPAT_5.10.0)
perl(Carp)
perl(Exporter)
perl(Getopt::Long)
perl(Hardware::Vhdl::Lexer) <--------1st occurrence from the spec
perl(Hardware::Vhdl::Lexer) <--------2nd occurrence from rpmbuild
perl(Test::More)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1


4. Is Test::More really needed or is it just a leftover from an over-zealous rpmbuild ?




There are no real issues which cannot be fixed before commit so the package is APPROVED
Comment 2 Chitlesh GOORAH 2008-12-21 14:24:40 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Tidy.spec
SRPM URL:
http://chitlesh.fedorapeople.org/RPMS/perl-Hardware-Vhdl-Tidy-0.8-2.fc10.src.rpm


New Package CVS Request
=======================
Package Name: perl-Hardware-Vhdl-Tidy
Short Description: VHDL code prettifier
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 3 Kevin Fenzi 2008-12-22 21:50:14 EST
cvs done.
Comment 4 Fedora Update System 2009-01-07 17:16:26 EST
perl-Hardware-Vhdl-Tidy-0.8-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Tidy-0.8-3.fc9
Comment 5 Fedora Update System 2009-01-07 17:16:30 EST
perl-Hardware-Vhdl-Tidy-0.8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Hardware-Vhdl-Tidy-0.8-2.fc10
Comment 6 Fedora Update System 2009-01-07 23:16:53 EST
perl-Hardware-Vhdl-Tidy-0.8-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-01-07 23:19:29 EST
perl-Hardware-Vhdl-Tidy-0.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.